@import url('https://fonts.googleapis.com/css2?family=Newsreader&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

header {
    background-image: url('../images/cover.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 200px;
    position: relative;
}

h3{
	text-align: center;
    font-family: 'Newsreader', serif;
    color: #2C2E2C;
}

#h3{
    cursor: pointer;
}

h1{
	text-align: center;
}

nav {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 2;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-right: 20px;
}

nav li {
    list-style: none;
    display: inline-block;
    padding-right: 10px;
    padding-left: 10px;
    padding-top: 40px;
}

nav li span {
    padding-left: 5px;
}

li a {
    padding: 5px;
    color: white;
    text-decoration: none;
}

.newsletter{
    text-align: center;
    position: relative;
    padding: 0 10%;
}

.homebanner{
    text-align: center;
    width: 100%;
    height: auto;
    padding: 2% 10%;
}

.news-content{
    text-align: center;
    font-family: 'Newsreader', serif;
    font-size: 20px;
    padding:50px;
    background-color: #E8D7B6;
    margin: auto;
    margin-top: 60px;
}

.cart ion-icon {
   vertical-align: bottom;
   font-size: 20px;
   padding-right: 5px;
}

.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
    padding-top: 50px;
}

.row1{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}

.items{
    margin: 70px 0;
}

.col-3{
    flex-basis: 30%;
    min-width: 250px;
    margin-bottom: 30px;
}

.col-3:hover{
    opacity: 0.75;
}

.col-3 img{
    width: 100%;
}

.small-container{
    max-width: 1080px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}

.col-4{
    flex-basis: 25%;
    padding: 10px;
    min-width: 200px;
    margin-bottom: 50px;
    transition: transform 0.5s;
}

.col-4 img{
    width: 100%;
}

.title{
    text-align: center;
    margin: 0 auto 0px;
    position: relative;
    line-height: 60px;
    color: #555;
    padding-top: 60px;
}

.title2{
    text-align: center;
    margin: 0 auto 0px;
    position: relative;
    line-height: 60px;
    color: #555;
}

.title3{
    text-align: center;
    margin: 0 auto 0px;
    position: relative;
    line-height: 60px;
    color: #555;
    padding-top: 60px;
}

.title2::after{
    content: '';
    background: #DDFF1F;
    width: 80px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.title3::after{
    content: '';
    background: #DDFF1F;
    width: 80px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.title::after{
    content: '';
    background: #DDFF1F;
    width: 200px;
    height: 5px;
    border-radius: 5px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

h4{
    color: #555;
    font-weight: normal;
}

.col-4 p{
    font-size: 14px;
}

.cart a {
    background-color: royalblue;
    color: #fff;
    cursor: pointer;
    text-decoration: none;
}

.cart a:hover {
	opacity: 0.5;
}

.container,
.container-products {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}

.image {
    margin-right: 20px;
    margin-left: 20px;
    margin-bottom: 80px;
    position: relative;
    overflow: hidden;
}

.pic-home:hover{
    cursor: pointer;
}

.homebanner:hover{
    cursor: pointer;
}

.add-cart {
    position: absolute;
    width: 100%;
    color: white;
    background-color: #212422;
    transition: all 0.3s ease-in-out;
    opacity: 0;
    cursor: pointer;
    text-align: center;
}


.image:hover .cart1,
.image:hover .cart2,
.image:hover .cart3,
.image:hover .cart4 {
    bottom: 50px;
    opacity: 1;
    padding: 10px;
    text-decoration: none;
}

.ch-button{
  background-color: #212422;
  color: white;
  padding: 14px 25px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin-top: 30px;
   margin-bottom: 50px;
}

.ch-button1{
  background-color: white;
  color: black;
  font-size: 12px;
  padding: 8px 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
}

.ch-button1:hover{
  background-color: #DDFF1F;
  color: white;
}

.pix-item {
    padding: 10px;
    display: inline-block;
    text-align: left;
}
.pix-item-wrapper {
    position: relative;
    padding: 7px;
    background: #E8D7B6;
}
.pix-item-image {
    position: relative;
    overflow: hidden;
}
.pix-item-image img {
    display: block;
}
.pix-item-title {
    position: absolute;
    left: -10px;
    bottom: 17px;
    background: #FF6B0E;
    line-height: 1.5em;
    font-weight: normal;
    padding: 7px 9px 6px;
    text-transform: uppercase;
    font-family: 'Oswald', sans-serif;
    color: #FFFFFF;
    font-size: 1.4em;
}
.pix-item-overlay {
    background: #000;
    opacity: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -webkit-transition: opacity 0.5s ease-in 0s;
    -moz-transition: opacity 0.5s ease-in 0s;
    -o-transition: opacity 0.5s ease-in 0s;
    transition: opacity 0.5s ease-in 0s;
}
.pix-item-wrapper:hover .pix-item-overlay {
    opacity: 0.3;
}
.pix-item-button {
    height: 100px;
    width: 100px;
    text-align: center;
    position: absolute;
    left: 50%;
    margin-left: -45px;
}
.pix-item-button a {
    border-radius: 50px;
    -webkit-border-radius: 50px;
    background: #FF6B0E;
    text-transform: uppercase;
    font-family: 'Oswald', sans-serif;
    color: #FFFFFF;
    font-size: 1.2em;
    line-height: 50px;
    -webkit-transition: all 0.2s ease-in 0s;
    -moz-transition: all 0.2s ease-in 0s;
    -o-transition: all 0.2s ease-in 0s;
    transition: all 0.2s ease-in 0s;
    text-decoration: none !important;
    display: block;
}
.pix-item-button a:hover {
    background: #3b3b3b;    
}
.first .pix-item-button {
    -webkit-transition: all 0.5s ease-in 0.5s;
    -moz-transition: all 0.5s ease-in 0.5s;
    -o-transition: all 0.5s ease-in 0.5s;
    transition: all 0.5s ease-in 0.5s;
    top: -50px; 
}
.first .pix-item-wrapper:hover .pix-item-button {
    top: 20%;   
}

.containers{
    max-width: 1170px;
    margin:auto;
}

.rows{
    display: flex;
    flex-wrap: wrap;
}
ul{
    list-style: none;
}
.footer{
    background-color: #212422;
    padding: 70px 0;
}
.footer-col{
   width: 25%;
   padding: 0 15px;
}
.footer-col h4{
    font-size: 18px;
    color: #ffffff;
    text-transform: capitalize;
    margin-bottom: 35px;
    font-weight: 500;
    position: relative;
}
.footer-col h4::before{
    content: '';
    position: absolute;
    left:0;
    bottom: -10px;
    background-color: #DDFF1F;
    height: 2px;
    box-sizing: border-box;
    width: 50px;
}
.footer-col ul li:not(:last-child){
    margin-bottom: 10px;
}
.footer-col ul li a{
    font-size: 16px;
    text-transform: capitalize;
    color: #ffffff;
    text-decoration: none;
    font-weight: 300;
    color: #bbbbbb;
    display: block;
    transition: all 0.3s ease;
}
.footer-col ul li a:hover{
    color: #ffffff;
    padding-left: 8px;
}
.footer-col .social-links a{
    display: inline-block;
    height: 40px;
    width: 40px;
    background-color: rgba(255,255,255,0.2);
    margin:0 10px 10px 0;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: #ffffff;
    transition: all 0.5s ease;
}
.footer-col .social-links a:hover{
    color: #24262b;
    background-color: #ffffff;
}

/* ----------------- CART PAGE --------------- */

.container-products {
    max-width: 650px;
    justify-content: space-around;
    margin: 0 auto;
    margin-top: 50px;
}

.container-products ion-icon {
    font-size: 25px;
    color: blue;
    margin-left: 10px;
    margin-right: 10px;
    cursor: pointer;
}

.product-header {
    width: 100%;
    max-width: 650px;
    display: flex;
    justify-content: flex-start;
    border-bottom: 4px solid lightgray;
    margin: 0 auto;
}

.product-title {
    width: 45%;
}

.price {
    width: 15%;
    border-bottom: 1px solid lightgray;
    display: flex;
    align-items: center;
}

.quantity {
    width: 30%;
    border-bottom: 1px solid lightgray;
    display: flex;
    align-items: center;
}

.total {
    width: 10%;
    border-bottom: 1px solid lightgray;
    display: flex;
    align-items: center;
}

.product {
    width: 45%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 10px 0;
    border-bottom: 1px solid lightgray;
}

.product ion-icon {
    cursor: pointer;
    
}

.products {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

.products img {
    width: 75px;
}

.basketTotalContainer {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    padding: 10px 0;
}

.basketTotalTitle {
    width: 30%;
}

.basketTotal {
    width: 10%;
}

/* ----------------- CHECKOUT PAGE --------------- */

.wrapper1{
  width: 100%;
  padding: 10px;
}

.container1{
  max-width: 500px;
  height: auto;
  margin: 0px auto;
  background: #fff;
  padding: 20px 40px 30px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-top: 7px solid #212422;
}

.title1{
  color: #212422;
  font-size: 2em;
  text-align: center;
  text-transform: uppercase;
  font-weight: 900;
  margin-bottom: 20px;
}

.input-form{
  margin-bottom: 20px;
}

.input-form .label{
      display: block;
    font-size: 1em;
    color: #212121;
    text-transform: capitalize;
    margin-bottom: 8px;
}

.input-form .items1{
  margin-bottom: 20px;
}

.section-1 .items1 .input,
.section-2 .items1 .input,
.section-3 .items1 .input{
    background: transparent;
    border: 2px solid #BDBDBD;
    width: 100%;
    padding: 10px;
    font-size: 1em;
    color: #212121;
    border-radius: 3px;
}

.input-form .section-3{
  display: flex;
  justify-content: space-between;
}

.input-form .section-3 .items1{
   width: 48%;
}

.btn{
    background: #212422;
    color: #fff;
    font-size: 1.25em;  
    padding: 10px 0;
    text-align: center;
    text-transform: uppercase;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    letter-spacing: 2px;
}

.cvc{
  display: flex;
  justify-content: space-between;
  position: relative;
  transition: all 0.3s ease;
}

.cvc .tooltip{
  color: #d4d4d4;
  border: 2px solid #d4d4d4;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  text-align:center;
  cursor: pointer;
}

.cvc .cvc-img{
  position: absolute;
  top: -300%;
  right: 0;
  background: #5f6c7d;
  padding: 12px;
  border-radius: 5px;
  display: none;
}

.cvc .cvc-img img{
  width: 100px;
  height: auto;
  display: block;
}

.cvc:hover .cvc-img{
  display: block;
}

@media(max-width: 767px){
    .footer-col{
        width: 50%;
        margin-bottom: 30px;
    }

    .homebanner{
        padding: 2% 5%;
    }

    .newsletter{
        padding: 2% 5%;
    }

    .news-content{
        padding: 25px;
        margin-top: 30px;
    }

    .body{
        display: none;
    }

    .news-content{
        text-align: center;
    }

}

@media(max-width: 574px) {

    nav h2 {
        width: 100%;
        text-align: center;
    }

    .body{
        display: none;
    }

    .homebanner{
        padding: 2% 5%;
    }

    .newsletter{
        padding: 2% 5%;
    }

    .news-content{
        padding: 25px;
        margin-top: 30px;
    }

    .sm-hide {
        display: none;
    }

    .products,
    .product-header {
        justify-content: center;
    }

    .basketTotalContainer {
        padding-right: 8%;
    }

    .container-products{
        justify-content: center;
        text-align: center;
    }

    .footer-col{
    width: 100%;
    }

    .input-form .section-3{
    flex-direction: column;
    }

    .input-form .section-3 .items1{
         width: 100%;
    }

    .input-form .items1{
        margin-bottom: 10px;
    }

    .input-form{
        margin-bottom: 15px;
    }

    .title1{
        font-size: 1.5em;
        margin-bottom: 15px;
    }

}
